<?php

declare(strict_types=1);

namespace App\Controller\TblPuntoVenta;

use App\Service\TblPuntoVentaService;
use Pimple\Psr11\Container;

abstract class Base
{
    protected Container $container;

    public function __construct(Container $container)
    {
        $this->container = $container;
    }

    protected function getTblPuntoVentaService(): TblPuntoVentaService
    {
        return $this->container->get('TblPuntoVenta_service');
    }
}
